# Template-Flake
This flake provides custom flake templates, while still letting you access the [official flake templates](https://github.com/NixOS/templates).
It was inspired by [this blogpost](https://peppe.rs/posts/novice_nix:_flake_templates/).

## Installation
Run
```
nix registry add templates ~/path/to/this/repository
```
This will override the default `template`-entry in the nix-registry.
You will still be able to access the official templates *through* this template.

## Usage
```
$ mkdir <projectName>
$ cd <projectName>
$ nix flake init -t templates#<nameOfTheTemplate>
$ git init
$ git add .
```
You will have to replace all occurances of `TEMPLATE_NAME` with your `<project_name>`.

## Provided Templates
### `talk_org_revealjs`

A template for a talk built with org-mode, Pandoc and reveal.js
It will generate a preveal-js html file in `result/index.html` from `slides.org`
and a `result/handout.pdf` from `handout.org` (if it exists).
